> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all data assets

> Get all data assets



## OpenAPI

````yaml /api-reference/bundled.yaml get /v0/data-assets
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/data-assets:
    get:
      tags:
        - data-asset
      summary: Get all data assets
      description: Get all data assets
      operationId: getDataAssets
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
          description: The limit used for offset-based pagination
        - in: query
          name: offset
          schema:
            type: integer
          description: The offset used for offset-based pagination
        - in: query
          name: search
          schema:
            type: string
          description: A query string to search data assets with
      responses:
        '200':
          description: Data assets
          content:
            application/json:
              schema:
                oneOf:
                  - type: array
                    items:
                      $ref: '#/components/schemas/DataAssetSearchResult'
                  - $ref: '#/components/schemas/DataAssetSearchResultPaginated'
        '400':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    DataAssetSearchResult:
      DataAssetSearchResult: null
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier for the data asset.
        dataAssetResourceName:
          $ref: '#/components/schemas/DataAssetResourceName'
        domain:
          description: >-
            The domain to which the data asset belongs. Previously referred to
            as "namespace."
          type: string
        path:
          description: >-
            The name or path identifying the data asset. Previously referred to
            as "name."
          type: string
        type:
          $ref: '#/components/schemas/SourceType'
        contractId:
          description: The contract ID associated with the data asset.
          type: string
        updatedAt:
          type: string
          format: date-time
          description: The timestamp of the most recent update to the data asset.
      required:
        - id
        - dataAssetResourceName
        - domain
        - path
        - type
        - updatedAt
    DataAssetSearchResultPaginated:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DataAssetSearchResult'
        totalCount:
          type: number
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
    DataAssetResourceName:
      type: string
      pattern: >-
        ^(protobuf|avro|json_schema|java|postgres|mysql|mssql|snowflake|bigquery|python|pyspark|typescript|s3|dataframe|kotlin|swift|php)://(?=.*[a-zA-Z0-9])[a-zA-Z0-9_@\.:/-]+[:/](?=.*[a-zA-Z0-9])[a-zA-Z0-9
        _\./-\{\}\-]+$
      description: >-
        The unique identifier of the data asset. It follows the pattern
        '{data_asset_type}://{data_asset_source}:{data_asset_name}'
    SourceType:
      type: string
      description: >-
        The type of the source data asset, indicating its source or format
        (e.g., postgres, protobuf).
      enum:
        - postgres
        - mysql
        - mssql
        - json_schema
        - avro
        - protobuf
        - python
        - pyspark
        - typescript
        - java
        - s3
        - dataframe
        - kotlin
        - swift
        - php
        - golang
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````